Skip to main content
Back to API List Retrieves the list of AI Agents available in an account.
This API requires a JWT generated by an application created only from the Admin Console.
MethodGET
Endpointhttps://{{host}}/api/public/bots?offset=0&limit=50
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Profile Management > Role Management

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredEnvironment URL, for example, https://platform.kore.ai
offsetOptionalThe starting position for fetching AI Agents. Defaults to 0 (first page).
limitOptionalNumber of AI Agents to fetch. Maximum is 50.

Sample Request

curl -X GET \
  'https://{{host}}/api/public/bots?offset=0&limit=50' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Sample Response

{
    "total": 169,
    "availableMore": true,
    "bots": [
        {
            "_id": "st-e3fa7a00-84f3-54bd-b8f8-7b3f1b5f9c00",
            "accountId": "6661e128d3203924648c10bf",
            "purpose": "customer",
            "createdOn": "2024-09-10T13:01:14.625Z",
            "createdBy": "u-be233f8f-af2d-5885-b808-97362869455d",
            "type": "default",
            "defaultLanguage": "en",
            "isDeflect": false,
            "resourceid": "btstreams",
            "status": "published",
            "icon": "66e0430359593a57768e456b",
            "name": "Sampletestbot",
            "description": "Use this option when none of the predefined purposes match your bot's purpose.",
            "isLinkedTo": [],
            "containsPanelOrWidget": false,
            "jwtApps": [
                {
                    "clientId": "cs-483dc744-437b-5f2d-9ed1-4ba184xxxxxx",
                    "clientSecret": "Odmu1w3u4CJyy+Wf+HyajzynShxDLbC4WVVAuxxxxx=",
                    "jtiClaimEnforced": false,
                    "jweEncryptionEnforced": false,
                    "createdOn": "2024-10-23T06:56:29.208Z"
                },
                {
                    "clientId": "cs-2780cff8-e162-5bcf-8669-afbeacxxxxx",
                    "clientSecret": "IFAiz8e0cFWr5Z9CntcSdrDTqfvDU9rFSjxdoxxxxxx=",
                    "jtiClaimEnforced": false,
                    "jweEncryptionEnforced": false,
                    "createdOn": "2024-11-03T13:38:49.680Z"
                }
            ]
        },
        {
            "_id": "st-0462019d-d890-5cec-a67b-06566d14760c",
            "accountId": "6661e128d3203924648c10bf",
            "purpose": "customer",
            "createdOn": "2024-09-20T12:39:04.866Z",
            "createdBy": "u-4715f1c8-352f-5442-8d5e-2072ada72075",
            "type": "default",
            "defaultLanguage": "en",
            "isDeflect": false,
            "resourceid": "btstreams",
            "status": "published",
            "icon": "66ed6cdf821e1a872b24e0e6",
            "name": "Test FAQ",
            "description": "Test FAQ",
            "isLinkedTo": [],
            "containsPanelOrWidget": false,
            "jwtApps": [
                {
                    "clientId": "cs-b953d13d-00d0-502e-8aa9-1475df5xxxxx",
                    "clientSecret": "P3/nrNBfUF1hUY6pdSj0h7sEpGkM8Hb45kRRncxxxxxx",
                    "jtiClaimEnforced": false,
                    "jweEncryptionEnforced": false,
                    "createdOn": "2024-09-20T12:39:06.059Z"
                },
                {
                    "clientId": "cs-a934fd93-6ab4-548c-98bd-3ec5497axxxxx",
                    "clientSecret": "FOTP/OYZhn1py7W1stKtz+xFAF7MrabQCLvccOxxxxx",
                    "jtiClaimEnforced": false,
                    "jweEncryptionEnforced": false,
                    "createdOn": "2024-09-20T12:39:08.364Z"
                }
            ]
        }
    ]
}